Bug 425840 - "LANG=en_GB yum info" shows package descriptions in Spanish
"LANG=en_GB yum info" shows package descriptions in Spanish
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: specspo (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
: 435893 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 10:07 EST by Jonathan Wakely
Modified: 2009-01-09 02:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2007-12-16 10:07:42 EST
Description of problem:
I've found several packages over the last few days that show a Spanish
description when queried with "yum info"

Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8

How reproducible:
Always

Steps to Reproduce:
yum info tix mysql-test zenity
  
Actual results:
Spanish descriptions

$ yum info tix mysql-test zenity
Loading "fedorakmod" plugin
Available Packages
Name   : mysql-test
Arch   : x86_64
Version: 5.0.45
Release: 6.fc8
Size   : 3.3 M
Repo   : updates
Summary: The test suite distributed with MySQL
Description:
MySQL es un servidor SQL multiusuario, multi-threaded. Este paquete
contiene el suite de prueba de regresión que se distribuye junto con
las fuentes de MySQL.

Name   : tix
Arch   : i386
Epoch  : 1
Version: 8.4.2
Release: 2.fc8
Size   : 327 k
Repo   : fedora
Summary: A set of extension widgets for Tk
Description:
Tix, la eXtensión de la Interase de Tk, es un conjunto poderoso de
componentes de interfase que expande las capacidades de sus
aplicaciones Tcl/Tk y Python. El uso de Tix junto con Tk mejorará
enormemente la apariencia y funcionalidad de su aplicación.

Name   : tix
Arch   : x86_64
Epoch  : 1
Version: 8.4.2
Release: 2.fc8
Size   : 331 k
Repo   : fedora
Summary: A set of extension widgets for Tk
Description:
Tix, la eXtensión de la Interase de Tk, es un conjunto poderoso de
componentes de interfase que expande las capacidades de sus
aplicaciones Tcl/Tk y Python. El uso de Tix junto con Tk mejorará
enormemente la apariencia y funcionalidad de su aplicación.

Name   : zenity
Arch   : x86_64
Version: 2.20.1
Release: 2.fc8
Size   : 1.9 M
Repo   : updates
Summary: Display dialogue boxes from shell scripts
Description:
Zenity le permite mostrar cuadros de diálogo Gtk+ desde la línea de comando
y a través de scripts de shell. Es similar a gdialog, pero se supone que
mássano. Viene de la misma familia que dialog, Xdialog y cdialog.


Expected results:
English descriptions

Additional info:

If you install the packages and run "rpm -qi" you see the english description,
so the problem only seems to be with the headers used by yum, not the actual
packages.
Comment 1 Jonathan Wakely 2007-12-16 10:13:14 EST
This only affect the British locale.

$ echo $LANG
en_GB.UTF-8
$ 
$ LANG= yum info tix.i386

Loading "fedorakmod" plugin
Available Packages
Name   : tix
Arch   : i386
Epoch  : 1
Version: 8.4.2
Release: 2.fc8
Size   : 327 k
Repo   : fedora
Summary: A set of extension widgets for Tk
Description:
Tix, the Tk Interface eXtension, is a powerful set of user interface
components that expands the capabilities of your Tcl/Tk and Python
applications. Using Tix together with Tk will greatly enhance the
appearance and functionality of your application.


That implies someone's mixed up the "en_GB" and "es" locales.  I assure you they
are different languages :-)

Comment 2 Jonathan Wakely 2007-12-16 10:15:46 EST
updated Summary
Comment 3 Seth Vidal 2007-12-16 13:39:50 EST
but they've not been mixed up in yum. That info comes from the rpm specspo
package, reassigning.
Comment 4 Jonathan Wakely 2008-01-02 09:49:54 EST
Apologies for putting this under the wrong package, I didn't know where the
translations came from.

The file specspo-15/desc/en_GB.po in the SRPM seems to be an older version of
the Spanish file, specspo-15/desc/es.po

The en_GB.po file begins:

# #-#-#-#-#  es.po (es)  #-#-#-#-#
# translation of es.po to Spanish
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to
# translation of es.po to spanish
# Copyright (C) 2001, Red Hat Italia
# #-#-#-#-#  es.po (es)  #-#-#-#-#
# Translation of specspo/desc to Spanish
# Copyright (C) 1995-2005 Red Hat, Inc.
# Nuria Soriano <nsoriano@redhat.es>, 2001.
# Fernando Ruiz-Tapiador Gutiérrez <frtapiador@redhat.es>, 2001.
# Yelitza Louze <ylouze@redhat.com>, 2003.
# Monica Vasquez <monica77vasquez@yahoo.com.au>, 2004.
# Manuel Ospina <mospina@redhat.com>, 2005, 2006.
# Rodolfo M. Raya <rodolfo@heartsome.net>, 2005.
msgid ""
msgstr ""
"Project-Id-Version: es\n"
"POT-Creation-Date: 2007-08-27 18:51+0000\n"
"PO-Revision-Date: 2007-05-23 09:48-0300\n"
"Last-Translator: Domingo Becker <beckerde@hotmail.com>\n"
"Language-Team: Spanish <en@li.org>\n"

Which is clearly wrong for en_GB. Comparing the dates with es.po shows it is not
even the most recent set of Spanish translations!

Please either replace that with the right contents or revert en_GB.po to the
last known good version.
Comment 5 Stepan Kasal 2008-03-27 10:56:48 EDT
The commit which replaced en_GB.po by es.po was a mistake; fixed in specspo-15.
Comment 6 Stepan Kasal 2008-03-27 11:08:29 EDT
*** Bug 435893 has been marked as a duplicate of this bug. ***
Comment 7 Jonathan Wakely 2008-09-04 17:22:54 EDT
$ yum info autoconf213 | fgrep Description
Description: GNU Autoconf es una herramienta para configurar el código fuente y
$ rpm -q specspo
specspo-15-1.noarch

Now using Fedora 9 but I still see Spanish info. Surely this is pretty easy to fix, can it be done please? It's annoying having to remember to override $LANG when I want to use "yum info"
Comment 8 Bug Zapper 2008-11-26 04:01:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jonathan Wakely 2008-11-26 14:53:31 EST
This was still present in FC9, but seems to be fixed in the newkey repos. In fact, I don't see Spanish info even with LANG=es_ES, but that works for me.
Comment 10 Bug Zapper 2009-01-09 02:32:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.